#ifndef SNEeSe_key_i
#define SNEeSe_key_i

.macro TEST_KEY key,zero=$0 // ZF=key up, !ZF=key down
    cmpb \zero,_key+\key
.endm

.macro JUMP_KEY_DOWN key,wheretogo,zero=$0
    TEST_KEY \key,\zero
    jnz \wheretogo
.endm

.macro JUMP_KEY_UP key,wheretogo,zero=$0
    TEST_KEY \key,\zero
    jz  \wheretogo
.endm

.macro TEST_VAR_KEY key,reg,zero=$0 // ZF=key up, !ZF=key down
    movl \key,\reg
    cmpb \zero,_key(\reg)
.endm

.macro JUMP_VAR_KEY_DOWN key,wheretogo,reg,zero=$0
    TEST_VAR_KEY \key,\reg,\zero
    jnz \wheretogo
.endm

.macro JUMP_VAR_KEY_UP key,wheretogo,reg,zero=$0
    TEST_VAR_KEY \key,\reg,\zero
    jz  \wheretogo
.endm

#endif /* SNEeSe_key_i */
