%ifndef SNEeSe_scankeys_h
%define SNEeSe_scankeys_h

; SCAN CODE DEFINES FOR INT HANDLER!

; keyboard scan codes
%if 0
%define KEY_ESC               1
%define KEY_1                 2 
%define KEY_2                 3 
%define KEY_3                 4
%define KEY_4                 5
%define KEY_5                 6
%define KEY_6                 7
%define KEY_7                 8
%define KEY_8                 9
%define KEY_9                 10
%define KEY_0                 11
%define KEY_MINUS             12
%define KEY_EQUALS            13
%define KEY_BACKSPACE         14
%define KEY_TAB               15 
%define KEY_Q                 16
%define KEY_W                 17
%define KEY_E                 18
%define KEY_R                 19
%define KEY_T                 20
%define KEY_Y                 21
%define KEY_U                 22
%define KEY_I                 23
%define KEY_O                 24
%define KEY_P                 25
%define KEY_OPENBRACE         26
%define KEY_CLOSEBRACE        27
%define KEY_ENTER             28
%define KEY_CONTROL           29
%define KEY_A                 30
%define KEY_S                 31
%define KEY_D                 32
%define KEY_F                 33
%define KEY_G                 34
%define KEY_H                 35
%define KEY_J                 36
%define KEY_K                 37
%define KEY_L                 38
%define KEY_COLON             39
%define KEY_QUOTE             40
%define KEY_TILDE             41
%define KEY_LSHIFT            42
%define KEY_BACKSLASH         43
%define KEY_Z                 44
%define KEY_X                 45
%define KEY_C                 46
%define KEY_V                 47
%define KEY_B                 48
%define KEY_N                 49
%define KEY_M                 50
%define KEY_COMMA             51
%define KEY_STOP              52
%define KEY_SLASH             53
%define KEY_RSHIFT            54
%define KEY_ASTERISK          55
%define KEY_ALT               56
%define KEY_SPACE             57
%define KEY_CAPSLOCK          58
%define KEY_F1                59
%define KEY_F2                60
%define KEY_F3                61
%define KEY_F4                62
%define KEY_F5                63
%define KEY_F6                64
%define KEY_F7                65
%define KEY_F8                66
%define KEY_F9                67
%define KEY_F10               68
%define KEY_NUMLOCK           69
%define KEY_SCRLOCK           70
%define KEY_HOME              71
%define KEY_UP                72
%define KEY_PGUP              73
%define KEY_MINUS_PAD         74
%define KEY_LEFT              75
%define KEY_5_PAD             76
%define KEY_RIGHT             77
%define KEY_PLUS_PAD          78
%define KEY_END               79
%define KEY_DOWN              80
%define KEY_PGDN              81
%define KEY_INSERT            82
%define KEY_DEL               83
%define KEY_F11               87
%define KEY_F12               88
%define KEY_PAD               100
%endif
%define KEY_A                 1
%define KEY_B                 2
%define KEY_C                 3
%define KEY_D                 4
%define KEY_E                 5
%define KEY_F                 6
%define KEY_G                 7
%define KEY_H                 8
%define KEY_I                 9
%define KEY_J                 10
%define KEY_K                 11
%define KEY_L                 12
%define KEY_M                 13
%define KEY_N                 14
%define KEY_O                 15
%define KEY_P                 16
%define KEY_Q                 17
%define KEY_R                 18
%define KEY_S                 19
%define KEY_T                 20
%define KEY_U                 21
%define KEY_V                 22
%define KEY_W                 23
%define KEY_X                 24
%define KEY_Y                 25
%define KEY_Z                 26
%define KEY_0                 27
%define KEY_1                 28
%define KEY_2                 29
%define KEY_3                 30
%define KEY_4                 31
%define KEY_5                 32
%define KEY_6                 33
%define KEY_7                 34
%define KEY_8                 35
%define KEY_9                 36
%define KEY_0_PAD             37
%define KEY_1_PAD             38
%define KEY_2_PAD             39
%define KEY_3_PAD             40
%define KEY_4_PAD             41
%define KEY_5_PAD             42
%define KEY_6_PAD             43
%define KEY_7_PAD             44
%define KEY_8_PAD             45
%define KEY_9_PAD             46
%define KEY_F1                47
%define KEY_F2                48
%define KEY_F3                49
%define KEY_F4                50
%define KEY_F5                51
%define KEY_F6                52
%define KEY_F7                53
%define KEY_F8                54
%define KEY_F9                55
%define KEY_F10               56
%define KEY_F11               57
%define KEY_F12               58
%define KEY_ESC               59
%define KEY_TILDE             60
%define KEY_MINUS             61
%define KEY_EQUALS            62
%define KEY_BACKSPACE         63
%define KEY_TAB               64
%define KEY_OPENBRACE         65
%define KEY_CLOSEBRACE        66
%define KEY_ENTER             67
%define KEY_COLON             68
%define KEY_QUOTE             69
%define KEY_BACKSLASH         70
%define KEY_BACKSLASH2        71
%define KEY_COMMA             72
%define KEY_STOP              73
%define KEY_SLASH             74
%define KEY_SPACE             75
%define KEY_INSERT            76
%define KEY_DEL               77
%define KEY_HOME              78
%define KEY_END               79
%define KEY_PGUP              80
%define KEY_PGDN              81
%define KEY_LEFT              82
%define KEY_RIGHT             83
%define KEY_UP                84
%define KEY_DOWN              85
%define KEY_SLASH_PAD         86
%define KEY_ASTERISK          87
%define KEY_MINUS_PAD         88
%define KEY_PLUS_PAD          89
%define KEY_DEL_PAD           90
%define KEY_ENTER_PAD         91
%define KEY_PRTSCR            92
%define KEY_PAUSE             93
%define KEY_YEN               94
%define KEY_YEN2              95

%define KEY_MODIFIERS         96

%define KEY_LSHIFT            96
%define KEY_RSHIFT            97
%define KEY_LCONTROL          98
%define KEY_RCONTROL          99
%define KEY_ALT               100
%define KEY_ALTGR             101
%define KEY_LWIN              102
%define KEY_RWIN              103
%define KEY_MENU              104
%define KEY_SCRLOCK           105
%define KEY_NUMLOCK           106
%define KEY_CAPSLOCK          107

%define KEY_MAX               108

%endif ; SNEeSe_scankeys_h
