; SPC700 opcodes 0x50-0x5F:
;    50: BVC rel         2,2/4
;    51: TCALL 5         1,8
;    52: CLR1 dp.2       2,4
;    53: BBC dp.2,rel    3,5/7
;    54: EOR A,dp+X      2,4
;    55: EOR A,labs+X    3,5
;    56: EOR A,labs+Y    3,5
;    57: EOR A,(dp)+Y    2,6
;    58: EOR dp,#imm     3,5
;    59: EOR (X),(Y)     1,5
;    5A: CMPW YA,dp      2,4
;    5B: LSR dp+X        2,5
;    5C: LSR A           1,2
;    5D: MOV X,A         1,2
;    5E: CMP Y,labs      3,4
;    5F: JMP labs        3,3
;

; 50
SPC_BFC BVC,SPC_FLAG_V
; 51
TCALL 5
; 52 - SPC_CLR1 in SPCmain.S
; 53 - SPC_BBC in SPCmain.S
; 54
SPC_EOR_A Odp_XO
; 55
SPC_EOR_A Oabs_XO
; 56
SPC_EOR_A Oabs_YO
; 57
SPC_EOR_A OOdpO_YO
; 58
SPC_EOR_mem dp_IM
; 59
SPC_EOR_mem OXO_OYO
; 5A

ALIGNC
SPC_CMPW_YA_dp:
 ADDR_dp
 GET_WORD_SPC        ; get DP word
 cmp B_YA,ax
 cmc
 ; (0.30) Butcha: + C flag
 STORE_FLAGS_SPC SPC_FLAG_NZC
 jmp SPC_BACK

; 5B
SPC_LSR Odp_XO
; 5C

ALIGNC
SPC_LSR_A:
 inc R_NativePC
 shr byte B_A,byte 1
 STORE_FLAGS_SPC SPC_FLAG_NZC
 jmp SPC_BACK

; 5D
SPC_MOV_reg_reg X,A
; 5E
SPC_CMP_Y abs
; 5F

ALIGNC
SPC_JMP_abs:
 mov al,[1+R_NativePC]
 mov ah,[2+R_NativePC]
 cmp eax,0xFFC0
 mov R_NativePC,eax
 mov eax,[SPC_FFC0_Address]
 jnb .possible_rom
 mov eax,_SPCRAM
.possible_rom:
 add R_NativePC,eax
 mov B_SPC_Code_Base,eax
 jmp SPC_BACK
