#ifndef SNEeSe_misc_i
#define SNEeSe_misc_i

.macro  DUPLICATE vartype, count, data
.rept \count
.\vartype \data
.endr
.endm

.macro skipb count=1
.skip (\count)
.endm

.macro skipw count=1
.skip (\count)*2
.endm

.macro skipl count=1
.skip (\count)*4
.endm

.macro skipk count=1
.skip (\count)*1024
.endm

.macro EXPORT label
.globl \label
\label:
.endm

.macro EXPORT_C label
.globl _\label
_\label:
.endm

.macro ALIGNC
.balign 16
.endm

.macro ALIGND
.balign 16
.endm

#endif /* SNEeSe_misc_i */
