; SPC700 opcodes 0x00-0x0F:
;    00: NOP             1,2
;    01: TCALL 0         1,8
;    02: SET1 dp.0       2,4
;    03: BBS dp.0,rel    3,5/7
;    04: OR  A,dp        2,3
;    05: OR  A,labs      3,4
;    06: OR  A,(X)       1,3
;    07: OR  A,(dp+X)    2,6
;    08: OR  A,#imm      2,2
;    09: OR  dp(d),dp(s) 3,6
;    0A: OR1 C,mem.bit   3,5
;    0B: ASL dp          2,4
;    0C: ASL labs        3,5
;    0D: PUSH PSW        1,4
;    0E: TSET1 labs      3,6
;    0F: BRK             1,8
;

; 00
ALIGNC
SPC_NOP:
 inc R_NativePC
 jmp SPC_BACK

; 01
TCALL 0
; 02 - SPC_SET1 in SPCmain.S
; 03 - SPC_BBS in SPCmain.S
; 04
SPC_OR_A dp
; 05
SPC_OR_A abs
; 06
SPC_OR_A OXO
; 07
SPC_OR_A OOdp_XOO
; 08
ALIGNC
SPC_OR_A_IM:
 SPC_OP_A_IM OR,SPC_FLAG_NZ

; 09
SPC_OR_mem dp_dp
; 0A
ALIGNC
SPC_OR1:        ; Carry flag = Carry flag OR mem.bit
 ADDR_membit        ; bx contains mem and dx contains bit number
 GET_BYTE_SPC       ; Get byte at location
 bt eax,edx
 LOAD_BASE
 jnc near SPC_BACK  ; C | 0 = C
 SET_FLAG_SPC SPC_FLAG_C    ; C | 1 = 1
 jmp SPC_BACK

; 0B
SPC_ASL dp
; 0C
SPC_ASL abs
; 0D
ALIGNC
SPC_PUSH_PSW:
 inc R_NativePC
 SETUPFLAGS_SPC
 PUSH_B
 jmp SPC_BACK

; 0E
ALIGNC
SPC_TSET1:      ; I have done this as TSB (65816) including the flag setting based on AND
 ADDR_abs
 mov cl,B_A
 GET_BYTE_SPC   ; Get byte
 test cl,al     ; NZ set for: mem & A
 STORE_FLAGS_SPC SPC_FLAG_NZ
 or al,cl
 SET_BYTE_SPC   ; mem |= A
 jmp SPC_BACK

; 0F - BRK - Not yet implemented (maybe never)
