; SPC700 opcodes 0x30-0x3F:
;    30: BMI rel         2,2/4
;    31: TCALL 3         1,8
;    32: CLR1 dp.1       2,4
;    33: BBC dp.1,rel    3,5/7
;    34: AND A,dp+X      2,4
;    35: AND A,labs+X    3,5
;    36: AND A,labs+Y    3,5
;    37: AND A,(dp)+Y    2,6
;    38: AND dp,#imm     3,5
;    39: AND (X),(Y)     1,5
;    3A: INCW dp         2,6
;    3B: ROL dp+X        2,5
;    3C: ROL A           1,2
;    3D: INC X           1,2
;    3E: CMP X,dp        2,3
;    3F: CALL labs       3,8
;

; 30
SPC_BFS BMI,SPC_FLAG_N
; 31
TCALL 3
; 32 - SPC_CLR1 in SPCmain.S
; 33 - SPC_BBC in SPCmain.S
; 34
SPC_AND_A Odp_XO
; 35
SPC_AND_A Oabs_XO
; 36
SPC_AND_A Oabs_YO
; 37
SPC_AND_A OOdpO_YO
; 38
SPC_AND_mem dp_IM
; 39
SPC_AND_mem OXO_OYO
; 3A

ALIGNC
SPC_INCW_dp:
 ADDR_dp
 GET_WORD_SPC       ; get DP word
 inc ax
 mov cl,ah
 STORE_FLAGS_SPC SPC_FLAG_NZ
 dec bx
 mov ah,cl
 SET_WORD_SPC
 jmp SPC_BACK

; 3B
SPC_ROL Odp_XO
; 3C

ALIGNC
SPC_ROL_A:
 MAKE_CARRY
 mov al,B_A
 inc R_NativePC
 adc al,al
 STORE_FLAGS_SPC SPC_FLAG_NZC
 mov B_A,al
 jmp SPC_BACK

; 3D
SPC_INC_reg X
; 3E
SPC_CMP_X dp
; 3F

ALIGNC
SPC_CALL:
 GET_PC eax
 add eax,byte 3
 PUSH_W
 xor eax,eax
 mov al,[1+R_NativePC]
 mov ah,[2+R_NativePC]
 cmp eax,0xFFC0
 mov R_NativePC,eax
 mov eax,[SPC_FFC0_Address]
 jnb .possible_rom
 mov eax,_SPCRAM
.possible_rom:
 add R_NativePC,eax
 mov B_SPC_Code_Base,eax
 jmp SPC_BACK
