; SPC700 opcodes 0xB0-0xBF:
;    B0: BCS rel         2,2/4
;    B1: TCALL 11        1,8
;    B2: CLR1 dp.5       2,4
;    B3: BBC dp.5,rel    3,5/7
;    B4: SBC A,dp+X      2,4
;    B5: SBC A,labs+X    3,5
;    B6: SBC A,labs+Y    3,5
;    B7: SBC A,(dp)+Y    2,6
;    B8: SBC dp,#imm     3,5
;    B9: SBC (X),(Y)     1,5
;    BA: MOVW YA,dp      2,5
;    BB: INC dp+X        2,5
;    BC: INC A           1,2
;    BD: MOV SP,X        1,2
;    BE: DAS A           1,3
;    BF: MOV A,(X)+      1,4
;

; B0
SPC_BFS BCS,SPC_FLAG_C
; B1
TCALL 11
; B2 - SPC_CLR1 in SPCmain.S
; B3 - SPC_BBC in SPCmain.S
; B4
SPC_SBC_A Odp_XO
; B5
SPC_SBC_A Oabs_XO
; B6
SPC_SBC_A Oabs_YO
; B7
SPC_SBC_A OOdpO_YO
; B8
SPC_SBC_mem dp_IM
; B9
SPC_SBC_mem OXO_OYO
; BA

ALIGNC
SPC_MOV_YA_dp:
 ADDR_dp
 xor eax,eax
 GET_WORD_SPC
 test ax,ax
 mov B_YA,eax
 STORE_FLAGS_SPC SPC_FLAG_NZ
 jmp SPC_BACK

; BB
SPC_INC Odp_XO
; BC
SPC_INC_reg A
; BD

ALIGNC
SPC_MOV_SP_X:
 mov al,B_X
 inc R_NativePC
 mov B_SP,al
 jmp SPC_BACK

; BE - DAS - not yet implemented
; BF

ALIGNC
SPC_MOV_A_OXOInc:
 ADDR_OXOInc
 GET_BYTE_SPC
 test al,al
 mov B_A,al
 STORE_FLAGS_SPC SPC_FLAG_NZ
 jmp SPC_BACK
